<?php

namespace Drupal\basket\Plugins\Delivery;

interface BasketDeliveryInterface {
	// Получаем #parents
	public function basketFieldParents();
	// Встраиваем форму в поле доставки
	public function basketFormAlter(&$form, $form_state);
	// Удаление данных доставки
	public function basketDelete($entity, $entity_delete);
	// Сохранение данных доставки
	public function basketSave($entity, $form_state);
	// Загружаем данные доставки
	public function basketLoad($form_state);
	// Получаем адрус доставки
	public function basketGetAddress($entity);
	// Альтер стоимости доставки
	// $info = [
	 //   'sum'           => 0,
	 //   'isPay'         => TRUE, /*Включать ли стоимость доставки в общую стоимость заказа*/
	 //   'description'   => NULL
	 //];
	public function deliverySumAlter(&$info);
}